Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.http
Class HTTPSocket

    java.lang.Object
      org.cybergarage.http.HTTPSocket

    public class HTTPSocket

extends Object

Constructor Summary
`HTTPSocket(HTTPSocket socket)`
`HTTPSocket(Socket socket)`

Method Summary
`boolean` | `close()`
`void` | `finalize()`
`InputStream` | `getInputStream()`
`String` | `getLocalAddress()`
`int` | `getLocalPort()`
`Socket` | `getSocket()`
`boolean` | `open()`
`boolean` | `post(HTTPResponse httpRes, long contentOffset, long contentLength, boolean isOnlyHeader)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPSocket

    public HTTPSocket(Socket socket)

### HTTPSocket

    public HTTPSocket(HTTPSocket socket)

Method Detail

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `Object`

### getSocket

    public Socket getSocket()

### getLocalAddress

    public String getLocalAddress()

### getLocalPort

    public int getLocalPort()

### getInputStream

    public InputStream getInputStream()

### open

    public boolean open()

### close

    public boolean close()

### post

    public boolean post(HTTPResponse httpRes,
                        long contentOffset,
                        long contentLength,
                        boolean isOnlyHeader)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD